# Включаем логирование
#try{ Start-Transcript SDC.Typical.Setup.log }
#catch{}

try{
 # Задаем CultureInfo
 [System.Threading.Thread]::CurrentThread.CurrentUICulture = [System.Globalization.CultureInfo]'ru-RU'
 [System.Threading.Thread]::CurrentThread.CurrentCulture = [System.Globalization.CultureInfo]'ru-RU'
}
catch [Exception] {
    Write-Host $_.Exception.Message
    exit 1
}
 
 try
{
    # Текущая директория
    $execFolder = $(Split-Path -Path $MyInvocation.MyCommand.Definition -Parent)


    # Определяем директорию PS 
    $libSubFolder = "..\..\..\PS"
    if (!(Test-Path -path $execFolder\$libSubFolder)) {
	    $libSubFolder = "..\..\..\..\PS"
	    if (!(Test-Path -path $execFolder\$libSubFolder)) {
		     throw  "Директория 'PS' не найдена"		  
	    }	
    }

    # Запускаем загрузку данных, передав конфигурационный файл
    & "$execFolder\$libSubFolder\sharepoint\setup.ps1" -mode:d -config:$execFolder\SDC.ApplicationTrip.LoadData.Sps2013.Config.xml


    exit 0
}
catch [Exception] {
    Write-Host $_.Exception.Message
    exit 1
}
finally
{
    # Выключаем логирование
    #try{ Stop-Transcript }
    #catch{}
}